Download it now!
Bug 64773 - No help items for the new subroutines IFNA and IFERROR
Summary: No help items for the new subroutines IFNA and IFERROR
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2013-05-19 20:49 UTC by David Lynch
Modified: 2015-06-12 21:50 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Lynch 2013-05-19 20:49:26 UTC
There appear to be no help items for the new subroutines IFNA and IFERROR in 4.0.3.3 local LO Calc UK English help.
Comment 1 m.a.riosv 2013-05-19 22:47:33 UTC
Confirmed.
Wint64xUltimate
Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539)

And neither is in the help of the web.
Comment 2 Jean-Baptiste Faure 2015-03-01 19:23:10 UTC
Still there in LibreOffice 4.4.x

Best regards. JBF
Comment 3 Timur 2015-03-13 14:44:08 UTC
https://wiki.documentfoundation.org/ReleaseNotes/4.0 says: 
New spreadsheet functions IFERROR and IFNA as defined in ODF OpenFormula. tdf#56124 (Winfried Donkers, Eike Rathke)
Question is: who writes help items for new functions?
Comment 4 Tim Deaton 2015-04-06 03:44:52 UTC
I'm using version 4.3.5.2 on Windows 7, and also could not find help on IFERROR when I searched for it.  That made me think it did not exist in LO, and I spent hours massaging a spreadsheet exported from GoogleDocs (into .ods format), replacing "=_xlfn.iferror((xxx))" entries with "if(iserror(xxx),0,xxx)" entries.

Finally, I came here to create an enhancement request and found out that IFERROR is in LO after all!

So I'm adding my vote: Whoever works on the help files, PLEASE add this documentation.

Thanks,
Tim
Comment 5 Regina Henschel 2015-04-06 23:35:12 UTC
The help exists for English-US and for German. Therefore it is a localization problem for English UK.
Comment 6 Tim Deaton 2015-04-07 04:17:31 UTC
Thank you for your comment, Regina.  

I had not noticed til writing this that the original issue specified "UK English help".

However, I'm in the US and to the best of my knowledge everything about my LO setup (including the help files) is "English-US".  I have now upgraded from 4.3.5.2 to 4.3.6.2, and still find nothing in the help files on IFERROR.
Comment 7 Timur 2015-04-07 08:48:35 UTC
(In reply to Regina Henschel from comment #5)
> The help exists for English-US and for German. Therefore it is a
> localization problem for English UK.

How? For example, click on Help for IF opens https://help.libreoffice.org/scalc/SC_HID_FUNC_WENN?Language=en-US&System=WIN&Version=4.4#bm_id3152789 while click on Help for IFERROR opens empty https://help.libreoffice.org/scalc/SC_HID_FUNC_IFERROR?Language=en-US&System=WIN&Version=4.4. 
So, I don't see that help exists for English-US, neither for web nor offline help.
Comment 8 Regina Henschel 2015-04-07 13:22:58 UTC
My fault, only ISNA and ISERROR are there, but not IFNA and IFERROR. The developer who has implemented it, should had written the help text, but everyone else can write is as well.
Comment 9 m.a.riosv 2015-04-07 18:25:59 UTC
I know Olivier have wrote local help for a lot of functions,
https://bugs.documentfoundation.org/buglist.cgi?bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&bug_status=RESOLVED&bug_status=VERIFIED&bug_status=CLOSED&bug_status=NEEDINFO&bug_status=PLEASETEST&email1=mariosv&email2=olivier.hallot%40documentfoundation.org&emailtype1=substring&emailtype2=substring&list_id=530469&product=LibreOffice&query_format=advanced&short_desc=localhelp&short_desc_type=allwordssubstr
but seems this was missing and I think someone more like SUMIFS(); COUNTIFS(); AVERAGEIF(); AVERAGEIFS().

Please Regina is there any way to know what functions don't have the local help?
If not, the lottery, going one by from functions wizard. I could try to find them.

By the way, through the functions wizard, there is a basic help for all functions, I think.
Comment 10 Timur 2015-04-15 09:17:57 UTC
I was free to add Mr. Olivier.Hallot@documentfoundation.org to CC.
Comment 11 Olivier Hallot 2015-04-15 11:48:36 UTC
hook into meta-bug 80430 for missing help pages.
Comment 13 Timur 2015-05-07 10:08:46 UTC
Please add also to 4.4.
Comment 14 Adolfo Jayme 2015-06-12 21:50:57 UTC
Timur: that won’t be pushed to 4.4. It requires translation work and that branch is in string freeze.